# Firma Bilgileri Getirir

## GET /Company

> Firma bilgilerini getirir.

```json
{"openapi":"3.0.1","info":{"title":"General API","version":"v1"},"servers":[{"url":"/general"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"API anahtar� giriniz","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"CompanyResponse":{"type":"object","properties":{"Name":{"type":"string","nullable":true},"TaxNumber":{"type":"string","nullable":true},"TaxOffice":{"type":"string","nullable":true},"Address":{"type":"string","nullable":true},"District":{"type":"string","nullable":true},"City":{"type":"string","nullable":true},"Country":{"type":"string","nullable":true},"PostalCode":{"type":"string","nullable":true},"PhoneNumber":{"type":"string","nullable":true},"Fax":{"type":"string","nullable":true},"Email":{"type":"string","nullable":true},"WebSite":{"type":"string","nullable":true},"IsActive":{"type":"boolean","nullable":true},"IsDeleted":{"type":"boolean","nullable":true},"PayeeFinancialAccountID":{"type":"string","nullable":true},"PaymentMeansChannelCode":{"type":"string","nullable":true},"PaymentMeansCode":{"type":"string","nullable":true},"Aliases":{"type":"array","items":{"$ref":"#/components/schemas/CompanyAliases"},"nullable":true,"readOnly":true}},"additionalProperties":false},"CompanyAliases":{"type":"object","properties":{"Alias":{"type":"string","nullable":true},"AliasType":{"type":"integer","format":"int32"},"Type":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/Company":{"get":{"tags":["Company"],"summary":"Firma bilgilerini getirir.","responses":{"200":{"description":"Firma bilgilerini getirir.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyResponse"}}}},"400":{"description":"Geçersiz İstek | Gönderdiğiniz istekte geçersiz veriler bulunduğu anlamında gelmektedir | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#badrequest-400\">tıklayınız</a>"},"403":{"description":"Yetkisiz Erişim | Bu uca erişmek için gerekli yetkiye sahip olmadığınız durumda dönülür"},"404":{"description":"Parametrede belirtilen kayıt bulunamadığında dönülür | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#notfound-404\">tıklayınız</a>"}}}}}}
```

{% tabs %}
{% tab title="C#" %}

```csharp
var client = new RestClient("https://apitest.nilvera.com/general/Company");
client.Timeout = -1;
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <API KEY>");
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);
```

{% endtab %}

{% tab title="PHP - cURL" %}

```php
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/general/Company',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
```

{% endtab %}

{% tab title="NodeJs - Axios" %}

```javascript
var axios = require('axios');
var config = {
  method: 'get',
  url: 'https://apitest.nilvera.com/general/Company',
  headers: { 
    'Authorization': 'Bearer <API KEY>'
  }
};
axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});
```

{% endtab %}
{% endtabs %}
